Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jempbox.xmp.pdfa
Class XMPSchemaPDFASchema

    java.lang.Object
      org.jempbox.xmp.XMPSchema
          org.jempbox.xmp.pdfa.XMPSchemaPDFASchema

public class XMPSchemaPDFASchema
extends XMPSchema

Define XMP properties used PDFA extension schema description schemas.

Version:
  $Revision: 1.1 $
Author:
  Karsten Krieg (kkrieg@intarsys.de)

Field Summary
`static java.lang.String` | `NAMESPACE` The namespace for this schema.

Fields inherited from class org.jempbox.xmp.XMPSchema
`NS_NAMESPACE, prefix, schema`

Constructor Summary
`XMPSchemaPDFASchema(org.w3c.dom.Element element, java.lang.String prefix)` Constructor from existing XML element.
`XMPSchemaPDFASchema(XMPMetadata parent)` Construct a new blank PDFA schema.

Method Summary
`java.lang.String` | `getPrefix()` Get the PDFA Schema prefix.
`java.lang.String` | `getSchema()` Get the PDFA schema.
`void` | `setPrefix(java.lang.String prefix)` PDFA Schema prefix.
`void` | `setSchema(java.lang.String schema)` PDFA schema.

Methods inherited from class org.jempbox.xmp.XMPSchema
`addBagValue, addSequenceDateValue, addSequenceValue, addSequenceValue, getAbout, getBagList, getBooleanProperty, getDateProperty, getElement, getEventSequenceList, getIntegerProperty, getLanguageProperty, getLanguagePropertyLanguages, getSequenceDateList, getSequenceList, getTextProperty, getThumbnailProperty, merge, removeBagValue, removeSequenceDateValue, removeSequenceValue, removeSequenceValue, setAbout, setBooleanProperty, setDateProperty, setIntegerProperty, setLanguageProperty, setTextProperty, setThumbnailProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NAMESPACE

    public static final java.lang.String NAMESPACE

  The namespace for this schema.

  See Also:
    Constant Field Values

Constructor Detail

### XMPSchemaPDFASchema

    public XMPSchemaPDFASchema(XMPMetadata parent)

  Construct a new blank PDFA schema.

Parameters:
  `parent` - The parent metadata schema that this will be part of.

### XMPSchemaPDFASchema

    public XMPSchemaPDFASchema(org.w3c.dom.Element element,
                               java.lang.String prefix)

  Constructor from existing XML element.

Parameters:
  `element` - The existing element.
  `prefix` - The schema prefix.

Method Detail

### setSchema

    public void setSchema(java.lang.String schema)

  PDFA schema.

  Parameters:
    `schema` - The optional description of schema.

### getSchema

    public java.lang.String getSchema()

  Get the PDFA schema.

  Returns:
    The optional description of schema.

### setPrefix

    public void setPrefix(java.lang.String prefix)

  PDFA Schema prefix.

  Parameters:
    `prefix` - Preferred schema namespace prefix.

### getPrefix

    public java.lang.String getPrefix()

  Get the PDFA Schema prefix.

  Returns:
    Preferred schema namespace prefix.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD